Subject: RE: FVWM: Cycling Pager Navigation

From: "Jason Dobies" <[email-masked]>
Date: Fri, 27 Aug 2004 13:36:58 -0400

Mikhael -

Thanks for the quick reply. The version with 100000 wasn't quite the
behavior I was looking for, but a start in the right direction. When at
the right most edge, another invocation to C-M-Right moved it to the
left edge, but down a row as well.

The second version I had seen online somewhere, but that produced pretty
much completely sporadic results. I couldn't quite see a pattern in
where the focus went, it jumped around significantly.

Any other ideas?

Thanks,

- Jay

-----Original Message-----
From: Mikhael Goikhman [mailto:[email-masked]] 
Sent: Friday, August 27, 2004 10:08 AM
To: Jason Dobies
Cc: FVWM Users
Subject: Re: FVWM: Cycling Pager Navigation

On 27 Aug 2004 08:17:19 -0400, Jason Dobies wrote:
> 
> I currently have my keys set up such that Ctrl+Meta+<arrow> moves to 
> another page in the pager (I apologize if I'm using the wrong 
> terminology). The mappings are defined as follows:
> 
> Key Left   A CM Scroll -100 +0
> Key Right  A CM Scroll +100 +0
> Key Up     A CM Scroll +0 -100
> Key Down   A CM Scroll +0 +100
> 
> What I want to do is to add the ability to cycle back around the 
> pager. That is, if the current page is at the left edge of the pager, 
> the next time I press C-M-Left, the current page would cycle to the 
> right most edge, but stay in the same row. I want similar 
> functionality for vertical movement as well.
> 
> For the record, I'm using 2.5.10 and my DeskTopSize is 4x3.

Depending on which kind of wrapping you want, use either this:

  Key Down   A CM Scroll +0 +100000
  Key Up     A CM Scroll +0 -100000
  Key Right  A CM Scroll +100000 +0
  Key Left   A CM Scroll -100000 +0

or this:

  Key Down   A CM Scroll +400000 +0
  Key Up     A CM Scroll -400000 +0
  Key Right  A CM Scroll +0 +300000
  Key Left   A CM Scroll +0 -300000

I think there is a small bug with negative offsets in the last examples.
It is probably a one line patch, feel free to send a fix.

Regards,
Mikhael.
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].